﻿Imports CustomerManagement.Core.Services
Imports Shareds.Interfaces

Namespace CustomerManagement.Core.Model.ApplicationEvents
    Public Class CustomerUpdatedEvent
        Implements IApplicationEvent

        Public Sub New(ByVal customer As CustomerDto, ByVal isNew As Boolean)

            Me.New()
            customer = customer
            Me.IsNew = isNew

        End Sub

        Public Sub New()
        End Sub

        Private privateCustomer As CustomerDto
        Public Property Customer As CustomerDto
            Get
                Return privateCustomer
            End Get
            Private Set(ByVal value As CustomerDto)
                privateCustomer = value
            End Set
        End Property
        Private privateIsNew As Boolean
        Public Property IsNew As Boolean
            Get
                Return privateIsNew
            End Get
            Private Set(ByVal value As Boolean)
                privateIsNew = value
            End Set
        End Property
        Public ReadOnly Property DateTimeEventOccurred As Date Implements IDomainEvent.DateTimeEventOccurred
            Get
                Return Date.Now

            End Get
        End Property

        Public ReadOnly Property EventType As String Implements IApplicationEvent.EventType

            Get
                Return "CustomerUpdatedEvent"

            End Get

        End Property

    End Class

End Namespace