﻿Imports OrderManagement.DataMirroring.Models
Imports Shareds.Interfaces

Namespace OrderManagement.DataMirroring
    Public Class CustomerUpdatedEvent
        Implements IApplicationEvent

        Public Sub New(ByVal customer As Customer, ByVal isNew As Boolean)
            Me.New()
            customer = customer
            Me.IsNew = isNew
        End Sub

        Private Sub New()
        End Sub

        Private privateCustomer As Customer
        Public Property Customer As Customer
            Get
                Return privateCustomer
            End Get
            Private Set(ByVal value As Customer)
                privateCustomer = value
            End Set
        End Property
        Private privateIsNew As Boolean
        Public Property IsNew As Boolean
            Get
                Return privateIsNew
            End Get
            Private Set(ByVal value As Boolean)
                privateIsNew = value
            End Set
        End Property
        Public ReadOnly Property DateTimeEventOccurred As Date Implements Shareds.Interfaces.IDomainEvent.DateTimeEventOccurred
            Get
                Return Date.Now
            End Get
        End Property


        Public ReadOnly Property EventType As String Implements IApplicationEvent.EventType

            Get
                Return "CustomerUpdatedEvent"

            End Get

        End Property

    End Class

End Namespace